Update loan settings

This request updates loan settings information.

   Click here to learn more about this request

The LoanSettings object is nested within the Loans entity, and it holds information such as card fees, credit reporting configurations, loan dates, and more. Note the following when making this request:

The values in LoanSettings do not affect how a loan is calculated, so they can be updated while the loan is active.

As with updating any nested object, the "__id" and "__update" fields are required. For more information, read our updating nested objects guide.

Custom Fields can be created and associated with loan settings. The LoanSettings object contains the CustomFieldValues object that stores the values of Custom Fields associated with this account.

For an example of how Loan Settings are updated within the UI, take a look at our Loan Settings article.

Database

For information on loan settings database tables, see the following articles:

Database – Loan Settings Entity (loan_settings_entity)

Database – Loan Table (loan_entity)

{
    "LoanSettings": {
        "__id": 584,
        "__update": true,
        "displayId": "Custom Loan ID",
        "loanId": 2893,
        "cardFeeAmount": 0,
        "cardFeeType": "loan.cardfee.types.1",
        "cardFeePercent": 0,
        "agent": 0,
        "loanStatusId": 2,
        "loanSubStatusId": 9,
        "sourceCompany": null,
        "paymentTypeDefault": 0,
        "eBilling": 0,
        "ECOACode": "loan.ecoacodes.1",
        "coBuyerECOACode": "loan.ecoacodes.0",
        "creditStatus": "loan.creditstatus.0",
        "creditBureau": "loan.creditbureau.00",
        "reportingType": "loan.reportingtype.I",
        "secured": 1,
        "autopayEnabled": 1,
        "repoDate": "",
        "closedDate": "",
        "liquidationDate": "",
        "followUpDate": "",
        "isStoplightManuallySet": 0,
        "merchantProcessorGroupId": 0,
        "repo": false,
        "closed": false,
        "liquidation": false,
        "paymentTypeDefaultText": "Company Default",
        "CustomFieldValues": {
            "results": [
                {
                    "customFieldId": 15,
                    "customFieldValue": "300"
                }
            ]
        }
    }
}
Path Params
int32
required

The ID of the loan.

Body Params
LoanSettings
object

This object holds loan settings information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json